Renditions

GET/api/2026-03/documents/{documentId}/latestPublication/renditions/{renditionHandles}
public-api:read
This endpoint is not available in API version 2026-03. Removed in 2025-09

Path Parameters

ParameterTypeDescription
renditionHandles*
string

A comma-separated list of renditions handles, e.g. "web,name"

Query Parameters

Query String

Passed as URL query string. Comma-separated values for arrays (e.g. ?contentTypes=regular,author).

ParameterTypeDescription
ignoreComponentConditions
boolean

(added in release-2024-03)

Provides a way to opt out of component filtering and return all content regardless of whether each component passes the conditional checks.

Default: false

componentConditions
string

(added in release-2024-03)

JSON stringified object which contains the component conditions you would like to apply.

Default: dateTime: new Date()
Example: ?componentConditions={"dateTime":"2024-02-14T17:25:10.391Z"}

Description

With the Renditions Endpoint you can load different output formats of your publication like RSS, XML, HTML etc. Attention: A rendition is only available if the output format is configured in the Content Type configuration.

Related

  • Latest Publication API
  • Composition API

Use Cases

  • Provides a Publication for a delivery in another format like RSS, XML (so called Rendition)

Responses

⌘ K to search